Bug 18313 - RFE: move traceroute from /usr/sbin to /usr/bin
RFE: move traceroute from /usr/sbin to /usr/bin
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-10-04 05:01 EDT by Daniel Roesen
Modified: 2007-04-18 12:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-13 11:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2000-10-04 05:01:00 EDT
Please consider moving traceroute to /usr/bin or include (even better) 
include /usr/sbin and /sbin in $PATH of non-root users. It's very annoying 
to always type /usr/sbin/traceroute or modify rc-scripts.

Also see Bug #18290 which was closed as NOTABUG.
Comment 1 Jeff Johnson 2000-10-04 11:28:28 EDT
FIx you PATH, that's why you have it.  Moving binaries from place to place to
to whatever default setting of PATH is current is at least as annoying (for
everyone) as
having to add /usr/sbin to your PATH. At least traceroute is in currently in the
same place
it's been for several Red Hat releases ...
Comment 2 Daniel Roesen 2000-10-09 00:22:28 EDT
sbin is for binaries requiring superuser priviledges and being useless for
non-root users. traceroute (being setuid root) just doesn't fit into sbin. Same
goes for ping which is (sanely) in bin instead of sbin. Please see:


----- CITE -----
Deciding what things go into "sbin" directories is simple: If a normal (not a
system administrator) user will ever run it directly,
then it should be placed in one of the "bin" directories. Ordinary users should
not have to place any of the sbin directories in their
----- CITE -----

Please fix this. Having it wrong in older versions is no reason to not fix it.
And please outline what problems people would have with the move.

I'm changing the Summary as changing $PATH is not the sane solution to the
problem. Moving traceroute from sbin to bin is.

Reopening the bug as it is a FHS (and thus, a LSB) violation.
Comment 3 Matthew Miller 2003-04-20 10:02:29 EDT
Please re-reconsider. If consistancy is an issue, a symlink could be put in sbin
for a release or two.
Comment 4 Daniel Roesen 2003-05-11 16:36:30 EDT
Reopened for reevaluation.
Comment 5 Phil Knirsch 2003-05-13 11:28:18 EDT
OK, fixed for traceroute. Traceroute now resides in /bin and has a compatibility
symlink to /usr/sbin.

Currently updating iputils plus various fixes to it as well so that all those
combined system tools are in /bin with appropriate symlinks for compatibility.

Read ya, Phil
Comment 6 Matthew Miller 2003-05-13 11:37:23 EDT
Cool, thanks much!
Comment 7 Daniel Roesen 2003-05-13 12:37:39 EDT
Excellent, thanks!

Do I understand that correctly that traceroute6 and ping6 will move
appropriately as well?

Note You need to log in before you can comment on or make changes to this bug.